package com.mgh.pmdm.parques.db

import androidx.room.Entity
import androidx.room.PrimaryKey
import java.io.Serializable

// Definimos la entidad que será la tabla de la BD
// Podemos añadir anotaciones para dar nombre a las columnas

@Entity
data class Park(
    @PrimaryKey(autoGenerate = true)
    var id:Long = 0,
    var name: String,
    var desc: String?,
    var phone: String?,
    var webiste: String?,
    var openingTime: String?,
    var closingTime: String?,
    var sports: Boolean?,
    var children: Boolean?,
    var Bar: Boolean?,
    var Pets: Boolean?,
    var img:String?=""
): Serializable